let BackEnd_url = `http://${process.env.REACT_APP_SERVER_MARKETPLACE_URL}`;
export const getCategoryAsset = async (categoryName: any) => {
  console.log("categoryName:api ", categoryName);
  try {
    const response = await fetch(
      `${BackEnd_url}/api/v2/getCatagoryAssets/${categoryName}`,
      {
        method: "GET",
        headers: {
          "Content-Type": "application/json",
        },
        // body: JSON.stringify({ filename }),
      }
    );

    const result = await response.json();
    console.log("result: ", result);
    return result;
  } catch (error: any) {
    // console.error("Error fetching category:", error.message);
    throw new Error(error.message);
  }
};
